## python-manilaclient 5.7.1

=== debian/changelog ===
python-manilaclient (5.7.1-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 5.7.1
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/control: Add python3-requests-mock.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 11:02:14 -0800

python-manilaclient (5.6.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 17 Sep 2025 09:00:11 -0700

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 python3-babel (>= 2.5.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-openstackclient (>= 5.3.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-osc-lib (>= 3.0.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.20.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-prettytable (>= 0.7.1),
 python3-reno,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-sphinxcontrib.programoutput (>= 0.11),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-manilaclient
Homepage: https://opendev.org/openstack/python-manilaclient
Testsuite: autopkgtest-pkg-python

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-babel (>= 2.5.0),
 python3-debtcollector (>= 1.2.0),
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-osc-lib (>= 3.0.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.20.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 3.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-manilaclient/ python_manilaclient-(\d.*)\.tar\.gz

## python-manilaclient 6.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.0.0 # Apache-2.0

oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.20.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable>=0.7.1 # BSD
requests>=2.14.2 # Apache-2.0
osc-lib>=3.2.0 # Apache-2.0
keystoneauth1>=3.0.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-manilaclient (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not install tools/manila.bash_completion anymore.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 14:15:53 +0100

python-manilaclient (5.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048709).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:06:31 +0100

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.programoutput,
 python3-stestr,
 python3-tempest,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-manilaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

Package: python3-manilaclient
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-iso8601,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-manilaclient,
Replaces:
 python-manilaclient,
Recommends:
 python-manilaclient-doc,
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build doc/man .stestr *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

# Problem with mock: test_quota_set_default_class_shares
override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manilaclient\.tests\.unit\.(?!osc\.v2\.test_quotas\.TestQuotaSet\.test_quota_set_default_class_shares)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:$(CURDIR)/debian/python3-manilaclient/usr/bin PYTHONPATH=$(CURDIR) python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source/ doc/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
